use crate::sound::pixtone::{Channel, Envelope, PixToneParameters, Waveform};

pub static PIXTONE_TABLE: [PixToneParameters; 160] = [
    PixToneParameters::empty(), // fx0
    PixToneParameters { // fx1
        channels: [
            Channel {
                enabled: true,
                length: 3000,
                carrier: Waveform {
                    waveform_type: 0,
                    pitch: 99.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 2,
                    pitch: 1.000000,
                    level: 55,
                    offset: 197,
                },
                amplitude: Waveform {
                    waveform_type: 5,
                    pitch: 0.000000,
                    level: 0,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 0,
                    value_a: 63,
                    time_b: 164,
                    value_b: 28,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx2 (CS+)
        channels: [
            Channel {
                enabled: true,
                length: 2000,
                carrier: Waveform {
                    waveform_type: 0,
                    pitch: 92.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 3.000000,
                    level: 44,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 7,
                    time_a: 2,
                    value_a: 18,
                    time_b: 128,
                    value_b: 0,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    /*PixToneParameters { // fx2
        channels: [
            Channel {
                enabled: true,
                length: 4000,
                carrier: Waveform {
                    waveform_type: 1,
                    pitch: 54.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 5,
                    pitch: 0.100000,
                    level: 33,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 53,
                    time_a: 57,
                    value_a: 44,
                    time_b: 128,
                    value_b: 24,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },*/
    PixToneParameters { // fx3
        channels: [
            Channel {
                enabled: true,
                length: 3000,
                carrier: Waveform {
                    waveform_type: 4,
                    pitch: 31.000000,
                    level: 10,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 2.000000,
                    level: 40,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 4,
                    pitch: 1.000000,
                    level: 31,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 9,
                    value_a: 63,
                    time_b: 94,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx4
        channels: [
            Channel {
                enabled: true,
                length: 8000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 10.000000,
                    level: 15,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 4,
                    pitch: 0.500000,
                    level: 16,
                    offset: 239,
                },
                amplitude: Waveform {
                    waveform_type: 4,
                    pitch: 0.000000,
                    level: 50,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 0,
                    value_a: 63,
                    time_b: 96,
                    value_b: 17,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx5
        channels: [
            Channel {
                enabled: true,
                length: 6000,
                carrier: Waveform {
                    waveform_type: 3,
                    pitch: 123.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 4,
                    pitch: 1.000000,
                    level: 16,
                    offset: 222,
                },
                amplitude: Waveform {
                    waveform_type: 4,
                    pitch: 4.000000,
                    level: 37,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 6,
                    value_a: 63,
                    time_b: 104,
                    value_b: 25,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx6
        channels: [
            Channel {
                enabled: true,
                length: 5000,
                carrier: Waveform {
                    waveform_type: 2,
                    pitch: 168.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 0.500000,
                    level: 29,
                    offset: 173,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 13,
                    value_a: 63,
                    time_b: 68,
                    value_b: 35,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx7
        channels: [
            Channel {
                enabled: true,
                length: 1000,
                carrier: Waveform {
                    waveform_type: 0,
                    pitch: 20.000000,
                    level: 0,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 0,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 0,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 64,
                    value_a: 0,
                    time_b: 128,
                    value_b: 0,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters::empty(), // fx8
    PixToneParameters::empty(), // fx9
    PixToneParameters::empty(), // fx10
    PixToneParameters { // fx11
        channels: [
            Channel {
                enabled: true,
                length: 5000,
                carrier: Waveform {
                    waveform_type: 4,
                    pitch: 40.000000,
                    level: 52,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 2,
                    pitch: 1.000000,
                    level: 63,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 3,
                    pitch: 10.000000,
                    level: 63,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 47,
                    value_a: 27,
                    time_b: 47,
                    value_b: 29,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx12
        channels: [
            Channel {
                enabled: true,
                length: 10000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 7.300000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 5,
                    pitch: 0.200000,
                    level: 29,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 91,
                    value_a: 63,
                    time_b: 149,
                    value_b: 25,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 1000,
                carrier: Waveform {
                    waveform_type: 0,
                    pitch: 6.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 1.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 255,
                    value_c: 63,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters::empty(), // fx13
    PixToneParameters { // fx14
        channels: [
            Channel {
                enabled: true,
                length: 10000,
                carrier: Waveform {
                    waveform_type: 1,
                    pitch: 246.000000,
                    level: 23,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 4,
                    pitch: 0.600000,
                    level: 22,
                    offset: 239,
                },
                amplitude: Waveform {
                    waveform_type: 4,
                    pitch: 6.000000,
                    level: 63,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 11,
                    value_a: 63,
                    time_b: 13,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx15
        channels: [
            Channel {
                enabled: true,
                length: 1000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 1.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 1.000000,
                    level: 63,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 63,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 28,
                    value_a: 63,
                    time_b: 53,
                    value_b: 31,
                    time_c: 210,
                    value_c: 31,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx16
        channels: [
            Channel {
                enabled: true,
                length: 5000,
                carrier: Waveform {
                    waveform_type: 2,
                    pitch: 50.000000,
                    level: 39,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 0.500000,
                    level: 40,
                    offset: 217,
                },
                amplitude: Waveform {
                    waveform_type: 1,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 34,
                    time_c: 198,
                    value_c: 32,
                },
            },
            Channel {
                enabled: true,
                length: 5000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 10.000000,
                    level: 39,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 0.500000,
                    level: 24,
                    offset: 217,
                },
                amplitude: Waveform {
                    waveform_type: 1,
                    pitch: 4.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 4,
                    value_a: 63,
                    time_b: 128,
                    value_b: 34,
                    time_c: 198,
                    value_c: 32,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx17
        channels: [
            Channel {
                enabled: true,
                length: 40000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 10.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 1.000000,
                    level: 32,
                    offset: 241,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 40000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 20.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 5,
                    pitch: 0.100000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 30000,
                carrier: Waveform {
                    waveform_type: 2,
                    pitch: 400.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 0.300000,
                    level: 60,
                    offset: 250,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 20.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx18
        channels: [
            Channel {
                enabled: true,
                length: 10000,
                carrier: Waveform {
                    waveform_type: 1,
                    pitch: 601.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 4,
                    pitch: 0.500000,
                    level: 15,
                    offset: 235,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 10.000000,
                    level: 54,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 0,
                    value_a: 63,
                    time_b: 0,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters::empty(), // fx19
    PixToneParameters { // fx20
        channels: [
            Channel {
                enabled: true,
                length: 20000,
                carrier: Waveform {
                    waveform_type: 1,
                    pitch: 832.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 2,
                    pitch: 1.000000,
                    level: 46,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 27.000000,
                    level: 63,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 0,
                    value_a: 63,
                    time_b: 140,
                    value_b: 10,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 20000,
                carrier: Waveform {
                    waveform_type: 1,
                    pitch: 918.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 2,
                    pitch: 1.000000,
                    level: 46,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 21.000000,
                    level: 63,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 0,
                    value_a: 63,
                    time_b: 140,
                    value_b: 10,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx21
        channels: [
            Channel {
                enabled: true,
                length: 10000,
                carrier: Waveform {
                    waveform_type: 0,
                    pitch: 322.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 2,
                    pitch: 8.000000,
                    level: 37,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 2,
                    pitch: 0.000000,
                    level: 0,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 13,
                    value_a: 63,
                    time_b: 106,
                    value_b: 11,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx22
        channels: [
            Channel {
                enabled: true,
                length: 4000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 4.500000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 1.000000,
                    level: 46,
                    offset: 102,
                },
                amplitude: Waveform {
                    waveform_type: 3,
                    pitch: 2.500000,
                    level: 47,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx23
        channels: [
            Channel {
                enabled: true,
                length: 3000,
                carrier: Waveform {
                    waveform_type: 1,
                    pitch: 17.000000,
                    level: 34,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 2.000000,
                    level: 40,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 4,
                    pitch: 1.000000,
                    level: 31,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 225,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx24
        channels: [
            Channel {
                enabled: true,
                length: 1000,
                carrier: Waveform {
                    waveform_type: 1,
                    pitch: 5.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 1.000000,
                    level: 63,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 0,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 31,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx25
        channels: [
            Channel {
                enabled: true,
                length: 20000,
                carrier: Waveform {
                    waveform_type: 2,
                    pitch: 186.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 4.000000,
                    level: 13,
                    offset: 98,
                },
                amplitude: Waveform {
                    waveform_type: 3,
                    pitch: 4.000000,
                    level: 5,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 28,
                    time_b: 255,
                    value_b: 0,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 20000,
                carrier: Waveform {
                    waveform_type: 2,
                    pitch: 285.000000,
                    level: 19,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 4.000000,
                    level: 21,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 3,
                    pitch: 4.000000,
                    level: 33,
                    offset: 130,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 255,
                    value_b: 0,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx26
        channels: [
            Channel {
                enabled: true,
                length: 22050,
                carrier: Waveform {
                    waveform_type: 0,
                    pitch: 117.000000,
                    level: 63,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 5,
                    pitch: 2.000000,
                    level: 18,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 5,
                    pitch: 0.000000,
                    level: 0,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 0,
                    value_a: 63,
                    time_b: 64,
                    value_b: 19,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 5000,
                carrier: Waveform {
                    waveform_type: 0,
                    pitch: 28.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 3.000000,
                    level: 27,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 5,
                    pitch: 0.000000,
                    level: 0,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 0,
                    value_a: 63,
                    time_b: 0,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx27
        channels: [
            Channel {
                enabled: true,
                length: 10000,
                carrier: Waveform {
                    waveform_type: 0,
                    pitch: 970.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 2,
                    pitch: 1.000000,
                    level: 35,
                    offset: 195,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 31.000000,
                    level: 31,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx28
        channels: [
            Channel {
                enabled: true,
                length: 3000,
                carrier: Waveform {
                    waveform_type: 0,
                    pitch: 13.000000,
                    level: 24,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 2.000000,
                    level: 40,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 4,
                    pitch: 1.000000,
                    level: 31,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 225,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 3000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 6.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 5,
                    pitch: 1.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 3,
                    pitch: 0.000000,
                    level: 0,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 0,
                    value_a: 63,
                    time_b: 45,
                    value_b: 23,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx29
        channels: [
            Channel {
                enabled: true,
                length: 20000,
                carrier: Waveform {
                    waveform_type: 1,
                    pitch: 477.000000,
                    level: 40,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 5,
                    pitch: 93.000000,
                    level: 39,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 4,
                    pitch: 17.000000,
                    level: 19,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx30
        channels: [
            Channel {
                enabled: true,
                length: 10000,
                carrier: Waveform {
                    waveform_type: 2,
                    pitch: 168.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 0.500000,
                    level: 29,
                    offset: 173,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 13,
                    value_a: 63,
                    time_b: 68,
                    value_b: 35,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx31
        channels: [
            Channel {
                enabled: true,
                length: 8000,
                carrier: Waveform {
                    waveform_type: 4,
                    pitch: 2000.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 2,
                    pitch: 1.000000,
                    level: 0,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 43,
                    time_a: 21,
                    value_a: 7,
                    time_b: 255,
                    value_b: 0,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx32
        channels: [
            Channel {
                enabled: true,
                length: 5000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 10.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 4,
                    pitch: 4.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 63,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 6,
                    value_a: 63,
                    time_b: 45,
                    value_b: 8,
                    time_c: 119,
                    value_c: 46,
                },
            },
            Channel {
                enabled: true,
                length: 1000,
                carrier: Waveform {
                    waveform_type: 0,
                    pitch: 4.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 1.000000,
                    level: 63,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 63,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 255,
                    value_c: 63,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx33
        channels: [
            Channel {
                enabled: true,
                length: 10000,
                carrier: Waveform {
                    waveform_type: 0,
                    pitch: 30.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 1.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 63,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 19,
                    value_a: 44,
                    time_b: 111,
                    value_b: 13,
                    time_c: 198,
                    value_c: 9,
                },
            },
            Channel {
                enabled: true,
                length: 10000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 2.000000,
                    level: 31,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 1.000000,
                    level: 57,
                    offset: 219,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 2.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 19,
                    value_a: 44,
                    time_b: 111,
                    value_b: 13,
                    time_c: 198,
                    value_c: 9,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx34
        channels: [
            Channel {
                enabled: true,
                length: 4000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 0.400000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 1.000000,
                    level: 53,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 63,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 12,
                    time_a: 19,
                    value_a: 63,
                    time_b: 111,
                    value_b: 21,
                    time_c: 198,
                    value_c: 18,
                },
            },
            Channel {
                enabled: true,
                length: 1000,
                carrier: Waveform {
                    waveform_type: 1,
                    pitch: 12.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 2,
                    pitch: 1.000000,
                    level: 63,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 63,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx35
        channels: [
            Channel {
                enabled: true,
                length: 20000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 6.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 1.000000,
                    level: 54,
                    offset: 239,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 255,
                    value_c: 35,
                },
            },
            Channel {
                enabled: true,
                length: 40000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 4.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 0.000000,
                    level: 32,
                    offset: 230,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 40000,
                carrier: Waveform {
                    waveform_type: 1,
                    pitch: 238.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 1.000000,
                    level: 14,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 4,
                    pitch: 30.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
        ],
    },
    PixToneParameters::empty(), // fx36
    PixToneParameters { // fx37
        channels: [
            Channel {
                enabled: true,
                length: 4000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 11.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 5,
                    pitch: 1.000000,
                    level: 17,
                    offset: 197,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 51,
                    time_a: 100,
                    value_a: 63,
                    time_b: 100,
                    value_b: 0,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 4000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 21.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 5,
                    pitch: 1.000000,
                    level: 17,
                    offset: 197,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 119,
                    value_a: 0,
                    time_b: 117,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx38
        channels: [
            Channel {
                enabled: true,
                length: 6000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 11.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 5,
                    pitch: 1.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 3,
                    pitch: 3.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 0,
                    value_a: 63,
                    time_b: 0,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 6000,
                carrier: Waveform {
                    waveform_type: 1,
                    pitch: 329.000000,
                    level: 20,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 2,
                    pitch: 2.000000,
                    level: 47,
                    offset: 77,
                },
                amplitude: Waveform {
                    waveform_type: 3,
                    pitch: 3.000000,
                    level: 63,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx39
        channels: [
            Channel {
                enabled: true,
                length: 3000,
                carrier: Waveform {
                    waveform_type: 2,
                    pitch: 62.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 2,
                    pitch: 3.000000,
                    level: 63,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 3,
                    pitch: 3.000000,
                    level: 14,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 0,
                    value_a: 63,
                    time_b: 210,
                    value_b: 32,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 5000,
                carrier: Waveform {
                    waveform_type: 2,
                    pitch: 58.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 2,
                    pitch: 3.000000,
                    level: 63,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 2,
                    pitch: 3.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 0,
                    value_a: 63,
                    time_b: 49,
                    value_b: 27,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 3000,
                carrier: Waveform {
                    waveform_type: 0,
                    pitch: 13.000000,
                    level: 24,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 2.000000,
                    level: 40,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 4,
                    pitch: 1.000000,
                    level: 31,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 225,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx40
        channels: [
            Channel {
                enabled: true,
                length: 44100,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 54.000000,
                    level: 12,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 5,
                    pitch: 1.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 5,
                    pitch: 1.000000,
                    level: 27,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 40,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 38,
                    time_c: 255,
                    value_c: 63,
                },
            },
            Channel {
                enabled: true,
                length: 44100,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 119.000000,
                    level: 9,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 5,
                    pitch: 2.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 61,
                    time_a: 64,
                    value_a: 39,
                    time_b: 128,
                    value_b: 60,
                    time_c: 255,
                    value_c: 28,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx41
        channels: [
            Channel {
                enabled: true,
                length: 44100,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 54.000000,
                    level: 12,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 5,
                    pitch: 1.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 5,
                    pitch: 1.000000,
                    level: 27,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 40,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 38,
                    time_c: 255,
                    value_c: 63,
                },
            },
            Channel {
                enabled: true,
                length: 44100,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 119.000000,
                    level: 9,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 5,
                    pitch: 2.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 61,
                    time_a: 64,
                    value_a: 39,
                    time_b: 128,
                    value_b: 60,
                    time_c: 255,
                    value_c: 28,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx42
        channels: [
            Channel {
                enabled: true,
                length: 5000,
                carrier: Waveform {
                    waveform_type: 1,
                    pitch: 231.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 4,
                    pitch: 1.000000,
                    level: 32,
                    offset: 65,
                },
                amplitude: Waveform {
                    waveform_type: 3,
                    pitch: 2.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 255,
                    value_c: 63,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx43
        channels: [
            Channel {
                enabled: true,
                length: 3000,
                carrier: Waveform {
                    waveform_type: 0,
                    pitch: 107.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 4,
                    pitch: 1.000000,
                    level: 15,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 17,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 255,
                    value_c: 63,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx44
        channels: [
            Channel {
                enabled: true,
                length: 20000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 4.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 5,
                    pitch: 1.000000,
                    level: 32,
                    offset: 170,
                },
                amplitude: Waveform {
                    waveform_type: 5,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 38,
                    value_a: 22,
                    time_b: 255,
                    value_b: 0,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 5000,
                carrier: Waveform {
                    waveform_type: 1,
                    pitch: 16.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 1.000000,
                    level: 32,
                    offset: 238,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 0,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 255,
                    value_c: 63,
                },
            },
            Channel {
                enabled: true,
                length: 20000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 4.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 0.700000,
                    level: 61,
                    offset: 43,
                },
                amplitude: Waveform {
                    waveform_type: 3,
                    pitch: 1.000000,
                    level: 22,
                    offset: 224,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 204,
                    value_b: 46,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx45
        channels: [
            Channel {
                enabled: true,
                length: 5000,
                carrier: Waveform {
                    waveform_type: 0,
                    pitch: 880.000000,
                    level: 19,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 8.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 11,
                    value_a: 63,
                    time_b: 34,
                    value_b: 25,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx46
        channels: [
            Channel {
                enabled: true,
                length: 2000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 3.000000,
                    level: 16,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 2.000000,
                    level: 12,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 3,
                    pitch: 1.000000,
                    level: 37,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 51,
                    value_a: 63,
                    time_b: 132,
                    value_b: 24,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx47
        channels: [
            Channel {
                enabled: true,
                length: 2000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 2.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 2,
                    pitch: 3.000000,
                    level: 54,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 17,
                    value_a: 63,
                    time_b: 98,
                    value_b: 22,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx48
        channels: [
            Channel {
                enabled: true,
                length: 8000,
                carrier: Waveform {
                    waveform_type: 1,
                    pitch: 814.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 2,
                    pitch: 11.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 3,
                    pitch: 16.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 23,
                    value_a: 63,
                    time_b: 74,
                    value_b: 12,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx49
        channels: [
            Channel {
                enabled: true,
                length: 10000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 21.000000,
                    level: 21,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 5.000000,
                    level: 32,
                    offset: 178,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 3.000000,
                    level: 33,
                    offset: 181,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 38,
                    value_a: 63,
                    time_b: 104,
                    value_b: 20,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 6000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 1.000000,
                    level: 28,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 6.000000,
                    level: 56,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 8.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 57,
                    value_a: 63,
                    time_b: 98,
                    value_b: 20,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx50
        channels: [
            Channel {
                enabled: true,
                length: 6000,
                carrier: Waveform {
                    waveform_type: 1,
                    pitch: 930.000000,
                    level: 22,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 0.700000,
                    level: 53,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 7.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 202,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 6000,
                carrier: Waveform {
                    waveform_type: 1,
                    pitch: 918.000000,
                    level: 23,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 0.700000,
                    level: 53,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 7.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 202,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx51
        channels: [
            Channel {
                enabled: true,
                length: 10000,
                carrier: Waveform {
                    waveform_type: 2,
                    pitch: 200.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 1.000000,
                    level: 51,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 1,
                    pitch: 20.000000,
                    level: 31,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 89,
                    value_b: 30,
                    time_c: 208,
                    value_c: 28,
                },
            },
            Channel {
                enabled: true,
                length: 10000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 23.000000,
                    level: 16,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 1.000000,
                    level: 58,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 1,
                    pitch: 17.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 96,
                    value_b: 51,
                    time_c: 202,
                    value_c: 31,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx52
        channels: [
            Channel {
                enabled: true,
                length: 20000,
                carrier: Waveform {
                    waveform_type: 2,
                    pitch: 100.000000,
                    level: 21,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 1.000000,
                    level: 46,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 1,
                    pitch: 40.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 162,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 20000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 5.000000,
                    level: 21,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 1.000000,
                    level: 51,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 1,
                    pitch: 40.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 162,
                    value_c: 28,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx53
        channels: [
            Channel {
                enabled: true,
                length: 10000,
                carrier: Waveform {
                    waveform_type: 4,
                    pitch: 400.000000,
                    level: 13,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 0.800000,
                    level: 63,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 4,
                    pitch: 8.000000,
                    level: 50,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 191,
                    value_b: 32,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 10000,
                carrier: Waveform {
                    waveform_type: 4,
                    pitch: 800.000000,
                    level: 5,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 0.800000,
                    level: 63,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 4,
                    pitch: 8.000000,
                    level: 63,
                    offset: 125,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 166,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx54
        channels: [
            Channel {
                enabled: true,
                length: 8000,
                carrier: Waveform {
                    waveform_type: 0,
                    pitch: 77.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 3.000000,
                    level: 56,
                    offset: 189,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 17,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 38,
                    value_a: 63,
                    time_b: 140,
                    value_b: 28,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 8000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 8.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 3.000000,
                    level: 54,
                    offset: 189,
                },
                amplitude: Waveform {
                    waveform_type: 3,
                    pitch: 3.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 38,
                    value_a: 42,
                    time_b: 140,
                    value_b: 21,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx55
        channels: [
            Channel {
                enabled: true,
                length: 6000,
                carrier: Waveform {
                    waveform_type: 3,
                    pitch: 388.000000,
                    level: 22,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 0.700000,
                    level: 53,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 7.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 25,
                    time_a: 64,
                    value_a: 63,
                    time_b: 202,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 6000,
                carrier: Waveform {
                    waveform_type: 1,
                    pitch: 918.000000,
                    level: 23,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 0.700000,
                    level: 53,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 7.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 202,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx56
        channels: [
            Channel {
                enabled: true,
                length: 22050,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 52.000000,
                    level: 22,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 5,
                    pitch: 1.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 3,
                    time_a: 23,
                    value_a: 23,
                    time_b: 57,
                    value_b: 10,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 22050,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 80.000000,
                    level: 22,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 5,
                    pitch: 1.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 23,
                    value_a: 23,
                    time_b: 57,
                    value_b: 10,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx57
        channels: [
            Channel {
                enabled: true,
                length: 5000,
                carrier: Waveform {
                    waveform_type: 2,
                    pitch: 143.000000,
                    level: 25,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 0.500000,
                    level: 40,
                    offset: 217,
                },
                amplitude: Waveform {
                    waveform_type: 1,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 34,
                    time_c: 198,
                    value_c: 32,
                },
            },
            Channel {
                enabled: true,
                length: 5000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 10.000000,
                    level: 23,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 0.500000,
                    level: 24,
                    offset: 217,
                },
                amplitude: Waveform {
                    waveform_type: 1,
                    pitch: 4.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 4,
                    value_a: 63,
                    time_b: 128,
                    value_b: 34,
                    time_c: 198,
                    value_c: 32,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx58
        channels: [
            Channel {
                enabled: true,
                length: 2000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 1.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 1.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 255,
                    value_c: 63,
                },
            },
            Channel {
                enabled: true,
                length: 2000,
                carrier: Waveform {
                    waveform_type: 3,
                    pitch: 99.000000,
                    level: 12,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 1.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 255,
                    value_c: 63,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx59
        channels: [
            Channel {
                enabled: true,
                length: 400,
                carrier: Waveform {
                    waveform_type: 1,
                    pitch: 20.000000,
                    level: 12,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 43,
                    value_a: 63,
                    time_b: 193,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx60
        channels: [
            Channel {
                enabled: true,
                length: 400,
                carrier: Waveform {
                    waveform_type: 1,
                    pitch: 30.000000,
                    level: 12,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 43,
                    value_a: 63,
                    time_b: 193,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx61
        channels: [
            Channel {
                enabled: true,
                length: 400,
                carrier: Waveform {
                    waveform_type: 1,
                    pitch: 40.000000,
                    level: 12,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 43,
                    value_a: 63,
                    time_b: 193,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx62
        channels: [
            Channel {
                enabled: true,
                length: 8000,
                carrier: Waveform {
                    waveform_type: 3,
                    pitch: 800.000000,
                    level: 24,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 8.000000,
                    level: 4,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 13,
                    value_a: 63,
                    time_b: 138,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 8000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 53.000000,
                    level: 12,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 5,
                    pitch: 1.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 0,
                    value_a: 63,
                    time_b: 68,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx63
        channels: [
            Channel {
                enabled: true,
                length: 8000,
                carrier: Waveform {
                    waveform_type: 3,
                    pitch: 400.000000,
                    level: 24,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 8.000000,
                    level: 4,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 13,
                    value_a: 63,
                    time_b: 138,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 8000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 53.000000,
                    level: 12,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 5,
                    pitch: 1.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 0,
                    value_a: 63,
                    time_b: 68,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx64
        channels: [
            Channel {
                enabled: true,
                length: 8000,
                carrier: Waveform {
                    waveform_type: 3,
                    pitch: 200.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 8.000000,
                    level: 4,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 13,
                    value_a: 63,
                    time_b: 138,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 8000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 25.000000,
                    level: 17,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 1.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 0,
                    value_a: 63,
                    time_b: 68,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx65
        channels: [
            Channel {
                enabled: true,
                length: 8000,
                carrier: Waveform {
                    waveform_type: 4,
                    pitch: 800.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 4,
                    pitch: 2.000000,
                    level: 21,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 4,
                    pitch: 8.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 106,
                    value_a: 63,
                    time_b: 130,
                    value_b: 27,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters::empty(), // fx66
    PixToneParameters::empty(), // fx67
    PixToneParameters::empty(), // fx68
    PixToneParameters::empty(), // fx69
    PixToneParameters { // fx70
        channels: [
            Channel {
                enabled: true,
                length: 10000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 20.000000,
                    level: 23,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 0.700000,
                    level: 26,
                    offset: 235,
                },
                amplitude: Waveform {
                    waveform_type: 5,
                    pitch: 1.000000,
                    level: 9,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 38,
                    value_a: 55,
                    time_b: 87,
                    value_b: 32,
                    time_c: 98,
                    value_c: 29,
                },
            },
            Channel {
                enabled: true,
                length: 2000,
                carrier: Waveform {
                    waveform_type: 1,
                    pitch: 20.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 2.000000,
                    level: 63,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 4,
                    pitch: 1.000000,
                    level: 29,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 255,
                    value_c: 63,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx71
        channels: [
            Channel {
                enabled: true,
                length: 15000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 10.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 0.700000,
                    level: 26,
                    offset: 235,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 63,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 38,
                    value_a: 55,
                    time_b: 187,
                    value_b: 15,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 4000,
                carrier: Waveform {
                    waveform_type: 1,
                    pitch: 20.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 2.000000,
                    level: 63,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 4,
                    pitch: 1.000000,
                    level: 29,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 255,
                    value_c: 63,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx72
        channels: [
            Channel {
                enabled: true,
                length: 22000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 6.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 0.700000,
                    level: 26,
                    offset: 246,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 63,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 38,
                    value_a: 55,
                    time_b: 187,
                    value_b: 15,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 8000,
                carrier: Waveform {
                    waveform_type: 0,
                    pitch: 20.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 2.000000,
                    level: 63,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 4,
                    pitch: 1.000000,
                    level: 29,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 255,
                    value_c: 63,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters::empty(), // fx73
    PixToneParameters::empty(), // fx74
    PixToneParameters::empty(), // fx75
    PixToneParameters::empty(), // fx76
    PixToneParameters::empty(), // fx77
    PixToneParameters::empty(), // fx78
    PixToneParameters::empty(), // fx79
    PixToneParameters::empty(), // fx80
    PixToneParameters::empty(), // fx81
    PixToneParameters::empty(), // fx82
    PixToneParameters::empty(), // fx83
    PixToneParameters::empty(), // fx84
    PixToneParameters::empty(), // fx85
    PixToneParameters::empty(), // fx86
    PixToneParameters::empty(), // fx87
    PixToneParameters::empty(), // fx88
    PixToneParameters::empty(), // fx89
    PixToneParameters::empty(), // fx90
    PixToneParameters::empty(), // fx91
    PixToneParameters::empty(), // fx92
    PixToneParameters::empty(), // fx93
    PixToneParameters::empty(), // fx94
    PixToneParameters::empty(), // fx95
    PixToneParameters::empty(), // fx96
    PixToneParameters::empty(), // fx97
    PixToneParameters::empty(), // fx98
    PixToneParameters::empty(), // fx99
    PixToneParameters { // fx100
        channels: [
            Channel {
                enabled: true,
                length: 4000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 6.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 2.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 3,
                    pitch: 2.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 26,
                    value_a: 30,
                    time_b: 66,
                    value_b: 29,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx101
        channels: [
            Channel {
                enabled: true,
                length: 22050,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 711.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 5,
                    pitch: 7.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 13,
                    value_a: 0,
                    time_b: 17,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 2000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 2.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 5,
                    pitch: 1.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 255,
                    value_c: 63,
                },
            },
            Channel {
                enabled: true,
                length: 62050,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 40.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 5,
                    pitch: 1.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 5,
                    pitch: 0.000000,
                    level: 0,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 17,
                    value_a: 63,
                    time_b: 36,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx102
        channels: [
            Channel {
                enabled: true,
                length: 9050,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 9.000000,
                    level: 26,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 1.000000,
                    level: 32,
                    offset: 209,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 132,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 9050,
                carrier: Waveform {
                    waveform_type: 2,
                    pitch: 43.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 1.000000,
                    level: 47,
                    offset: 172,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 198,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx103
        channels: [
            Channel {
                enabled: true,
                length: 22050,
                carrier: Waveform {
                    waveform_type: 1,
                    pitch: 754.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 2,
                    pitch: 0.500000,
                    level: 14,
                    offset: 126,
                },
                amplitude: Waveform {
                    waveform_type: 4,
                    pitch: 18.000000,
                    level: 17,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 22050,
                carrier: Waveform {
                    waveform_type: 0,
                    pitch: 597.000000,
                    level: 12,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 2,
                    pitch: 0.500000,
                    level: 14,
                    offset: 126,
                },
                amplitude: Waveform {
                    waveform_type: 4,
                    pitch: 18.000000,
                    level: 17,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 64,
                    value_a: 40,
                    time_b: 128,
                    value_b: 41,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx104
        channels: [
            Channel {
                enabled: true,
                length: 5000,
                carrier: Waveform {
                    waveform_type: 3,
                    pitch: 621.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 2,
                    pitch: 2.000000,
                    level: 22,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 3,
                    pitch: 6.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 4,
                    value_a: 63,
                    time_b: 77,
                    value_b: 30,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx105
        channels: [
            Channel {
                enabled: true,
                length: 6000,
                carrier: Waveform {
                    waveform_type: 2,
                    pitch: 217.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 0.700000,
                    level: 16,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 3,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 32,
                    value_a: 63,
                    time_b: 49,
                    value_b: 15,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx106
        channels: [
            Channel {
                enabled: true,
                length: 5000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 1.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 1.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 64,
                    value_a: 63,
                    time_b: 81,
                    value_b: 28,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 10000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 11.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 2,
                    pitch: 4.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 3.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 30,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx107
        channels: [
            Channel {
                enabled: true,
                length: 10000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 1.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 4,
                    pitch: 1.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 32,
                    time_b: 128,
                    value_b: 33,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx108
        channels: [
            Channel {
                enabled: true,
                length: 10000,
                carrier: Waveform {
                    waveform_type: 2,
                    pitch: 50.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 0.500000,
                    level: 29,
                    offset: 173,
                },
                amplitude: Waveform {
                    waveform_type: 2,
                    pitch: 100.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 13,
                    value_a: 63,
                    time_b: 68,
                    value_b: 35,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx109
        channels: [
            Channel {
                enabled: true,
                length: 4000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 11.000000,
                    level: 25,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 3.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 9,
                    value_a: 63,
                    time_b: 128,
                    value_b: 14,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx110
        channels: [
            Channel {
                enabled: true,
                length: 4000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 3.000000,
                    level: 27,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 3.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 9,
                    value_a: 63,
                    time_b: 128,
                    value_b: 14,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx111
        channels: [
            Channel {
                enabled: true,
                length: 3000,
                carrier: Waveform {
                    waveform_type: 4,
                    pitch: 9.000000,
                    level: 20,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 3.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx112
        channels: [
            Channel {
                enabled: true,
                length: 3000,
                carrier: Waveform {
                    waveform_type: 4,
                    pitch: 18.000000,
                    level: 20,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 3.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx113
        channels: [
            Channel {
                enabled: true,
                length: 3000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 4.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 1.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx114
        channels: [
            Channel {
                enabled: true,
                length: 12000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 2.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 1.700000,
                    level: 53,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 162,
                    value_b: 25,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 12000,
                carrier: Waveform {
                    waveform_type: 3,
                    pitch: 77.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 1.000000,
                    level: 61,
                    offset: 200,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 19.000000,
                    level: 22,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 172,
                    value_b: 25,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx115
        channels: [
            Channel {
                enabled: true,
                length: 40050,
                carrier: Waveform {
                    waveform_type: 4,
                    pitch: 100.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 8.000000,
                    level: 22,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 3,
                    pitch: 8.000000,
                    level: 8,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 28,
                    value_a: 44,
                    time_b: 81,
                    value_b: 23,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 40050,
                carrier: Waveform {
                    waveform_type: 4,
                    pitch: 150.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 8.000000,
                    level: 22,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 3,
                    pitch: 8.000000,
                    level: 8,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 28,
                    value_a: 44,
                    time_b: 81,
                    value_b: 23,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 40050,
                carrier: Waveform {
                    waveform_type: 4,
                    pitch: 294.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 8.000000,
                    level: 22,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 3,
                    pitch: 8.000000,
                    level: 8,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 28,
                    value_a: 44,
                    time_b: 81,
                    value_b: 23,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx116
        channels: [
            Channel {
                enabled: true,
                length: 30000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 28.000000,
                    level: 44,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 1.000000,
                    level: 45,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 208,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 30000,
                carrier: Waveform {
                    waveform_type: 2,
                    pitch: 101.000000,
                    level: 44,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 2,
                    pitch: 0.500000,
                    level: 63,
                    offset: 118,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 176,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 30000,
                carrier: Waveform {
                    waveform_type: 2,
                    pitch: 86.000000,
                    level: 44,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 2,
                    pitch: 0.500000,
                    level: 63,
                    offset: 118,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 176,
                    value_b: 63,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx117
        channels: [
            Channel {
                enabled: true,
                length: 10000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 118.000000,
                    level: 19,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 1.000000,
                    level: 63,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 3.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 0,
                    time_a: 19,
                    value_a: 63,
                    time_b: 66,
                    value_b: 41,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 10000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 6.000000,
                    level: 24,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 1.000000,
                    level: 32,
                    offset: 208,
                },
                amplitude: Waveform {
                    waveform_type: 2,
                    pitch: 8.000000,
                    level: 12,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 128,
                    value_b: 38,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters::empty(), // fx118
    PixToneParameters::empty(), // fx119
    PixToneParameters::empty(), // fx120
    PixToneParameters::empty(), // fx121
    PixToneParameters::empty(), // fx122
    PixToneParameters::empty(), // fx123
    PixToneParameters::empty(), // fx124
    PixToneParameters::empty(), // fx125
    PixToneParameters::empty(), // fx126
    PixToneParameters::empty(), // fx127
    PixToneParameters::empty(), // fx128
    PixToneParameters::empty(), // fx129
    PixToneParameters::empty(), // fx130
    PixToneParameters::empty(), // fx131
    PixToneParameters::empty(), // fx132
    PixToneParameters::empty(), // fx133
    PixToneParameters::empty(), // fx134
    PixToneParameters::empty(), // fx135
    PixToneParameters::empty(), // fx136
    PixToneParameters::empty(), // fx137
    PixToneParameters::empty(), // fx138
    PixToneParameters::empty(), // fx139
    PixToneParameters::empty(), // fx140
    PixToneParameters::empty(), // fx141
    PixToneParameters::empty(), // fx142
    PixToneParameters::empty(), // fx143
    PixToneParameters::empty(), // fx144
    PixToneParameters::empty(), // fx145
    PixToneParameters::empty(), // fx146
    PixToneParameters::empty(), // fx147
    PixToneParameters::empty(), // fx148
    PixToneParameters::empty(), // fx149
    PixToneParameters { // fx150
        channels: [
            Channel {
                enabled: true,
                length: 5000,
                carrier: Waveform {
                    waveform_type: 0,
                    pitch: 16.000000,
                    level: 63,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 1.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 166,
                    value_b: 35,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 1000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 1.000000,
                    level: 16,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 1.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 91,
                    value_b: 28,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx151
        channels: [
            Channel {
                enabled: true,
                length: 5000,
                carrier: Waveform {
                    waveform_type: 0,
                    pitch: 20.000000,
                    level: 30,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 1.000000,
                    level: 44,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 111,
                    value_b: 19,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 10000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 14.000000,
                    level: 41,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 5,
                    pitch: 3.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 18,
                    time_b: 91,
                    value_b: 12,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx152
        channels: [
            Channel {
                enabled: true,
                length: 1000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 48.000000,
                    level: 30,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 5,
                    pitch: 1.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 63,
                    time_b: 166,
                    value_b: 27,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx153
        channels: [
            Channel {
                enabled: true,
                length: 10000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 48.000000,
                    level: 30,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 5,
                    pitch: 1.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 43,
                    time_b: 166,
                    value_b: 41,
                    time_c: 255,
                    value_c: 7,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx154
        channels: [
            Channel {
                enabled: true,
                length: 4000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 35.000000,
                    level: 30,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 35.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 53,
                    value_a: 21,
                    time_b: 166,
                    value_b: 13,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 10000,
                carrier: Waveform {
                    waveform_type: 1,
                    pitch: 63.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 1.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 64,
                    value_a: 39,
                    time_b: 91,
                    value_b: 20,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters { // fx155
        channels: [
            Channel {
                enabled: true,
                length: 4000,
                carrier: Waveform {
                    waveform_type: 5,
                    pitch: 6.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 3,
                    pitch: 2.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 3,
                    pitch: 2.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 26,
                    value_a: 30,
                    time_b: 66,
                    value_b: 29,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel {
                enabled: true,
                length: 4000,
                carrier: Waveform {
                    waveform_type: 0,
                    pitch: 150.000000,
                    level: 32,
                    offset: 0,
                },
                frequency: Waveform {
                    waveform_type: 0,
                    pitch: 0.000000,
                    level: 32,
                    offset: 0,
                },
                amplitude: Waveform {
                    waveform_type: 3,
                    pitch: 2.000000,
                    level: 32,
                    offset: 0,
                },
                envelope: Envelope {
                    initial: 63,
                    time_a: 26,
                    value_a: 30,
                    time_b: 66,
                    value_b: 29,
                    time_c: 255,
                    value_c: 0,
                },
            },
            Channel::disabled(),
            Channel::disabled(),
        ],
    },
    PixToneParameters::empty(), // fx156
    PixToneParameters::empty(), // fx157
    PixToneParameters::empty(), // fx158
    PixToneParameters::empty(), // fx159
];

